# [5.5.0](https://github.com/WeakAuras/WeakAuras2/tree/5.5.0) (2023-05-02)

[Full Changelog](https://github.com/WeakAuras/WeakAuras2/compare/5.4.4...5.5.0)

## Highlights

 - Overhaul of the whole main UI design
- Updates to templates for 10.1
- Add support for the addon compartment frame in 10.1
- Updates to various triggers
- Use API to get talent data in 10.1 instead of hardcoding.
- Bug fixes and performance improvements 

## Commits

InfusOnWoW (8):

- MoverSizer: Remove some unused code
- Options: Fix mover alpha not updating
- Templates: Add Mistweaver's Mana Tee
- SubscribaleObject: Prevent double subscription
- Fix lua error if a region has no coordinates
- Fix Progress Texture overlay calculation if adjustMin is set
- Fix PlayerMoving trigger
- Rework Magnetic Edit (#4358)

Stanzilla (3):

- Update TOC for Patch 10.1.0
- Add support for the 10.1 addon compartment feature
- Update CF URL in localization uploader script

mrbuds (11):

- Retail: drop hard-coded talent data and get it from API
- Paladin templates update for 10.1.0
- Update profiling windows skin
- Encounter trigger: add Id, Name, Difficulty and Success as text replacement, filter and conditions
- Text sub element: add condition for editing text
- Update general layout of WeakAurasOptions (#3700)
- Add new "Entering/Leaving Encounter" trigger
- BW/DBM Timer triggers: add infos about count matching feature on tooltip
- Dbm & BW triggers: fix count matching with chinese parenthesis
- Essence Trigger (#4397)
- cd tracking: Tune down frequency of cooldowns check made on same frames

